
QGIS Application - Bug report #2589

DB input bug

2010-03-25 02:30 AM - drziko -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 12649

Description

I have a [[PostGis]] server on ubuntu. Also i have a some clients on Windows (XP and Vista). When I make one polygon all is ok, but if I

make 2 or more polygons and afret that try to save a layer a have a error:

"ERROR:  character 0xc390 of encoding "UTF8" has no equivalent in "WIN1251"".

It's message from DB server. DB has a windows-1251 charset now. I have this error form ubuntu and from Windows boarded PC.

History

#1 - 2010-03-25 02:31 AM - drziko -

Change a component

#2 - 2010-05-04 10:29 PM - Jürgen Fischer

everytime or just when you enter certain characters in the attributes?  Can you give an example of the data you enter?  Are there default values on the

postgresql tables?

#3 - 2010-05-05 11:06 PM - drziko -

Replying to [comment:2 jef]:

everytime or just when you enter certain characters in the attributes?  Can you give an example of the data you enter?  Are there default values on

the postgresql tables?

It's happend when I enter certain characters in the attributes in Russian. If I enter in English - all is ok. Or if I create some polygons and don't fill attributes -

all is ok too. 

The Postgress encoding is UTF-8. If I make encoding as CP1251, database give error, that can't write it. In UTF-8 this problem doesn't exist.

In major default values give this error.

Maybe it'll be better if I give you a screencast?

#4 - 2010-05-07 12:35 AM - drziko -

http://www.youtube.com/watch?v=YAJznwabluU - this is a screencast. I enter characters in attributes on Russian.
http://www.youtube.com/watch?v=YAJznwabluU


#5 - 2010-05-16 02:31 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #2707
